=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # thomas@linuxmuster.net
-# 20190708
+# 20201231
 # GPL v3
 #
 
@@ -12,7 +12,8 @@
 LML_URL=https://download.linuxmuster.net/dev/linbo-build-cache
 
 # linbo version
-LVERS=$(shell head -n 1 debian/changelog | awk -F\( '{ print $$2 }' | awk -F\) '{ print $$1 }')
+LVERS=$(shell head -n 1 debian/changelog | awk -F\( '{ print $$2 }' | awk -F\) '{ print $$1 }' | awk -F\- '{ print $$1 }')
+LRELNAME=$(shell cat debian/releasename)
 
 # kernel
 VESAMODE=785 # 640x480, 64k colors
@@ -23,15 +24,12 @@
 KVERS=$(shell echo $(KERNEL_ARCHIVE) | sed -e 's/linux-//' | sed -e 's/.tar.xz//')
 KMAINVERS=$(shell echo $(KVERS) | sed -e 's/.0$$//')
 KERNEL_DIR=kernel/linux-$(KVERS)
-#KERNEL_URL=https://www.kernel.org/pub/linux/kernel/v4.x
-KERNEL_URL=https://cdn.kernel.org/pub/linux/kernel/v4.x
-#KERNEL_URL=$(LML_URL)
-
 # kernel non pae
 KERNELNP_DIR=kernel-np/linux-$(KVERS)
-
 # kernel64
 KERNEL64_DIR=kernel64/linux-$(KVERS)
+#KERNEL_URL=https://www.kernel.org/pub/linux/kernel/v4.x
+KERNEL_URL=$(LML_URL)
 
 # backports
 #BACKPORTS_ARCHIVE=$(shell grep backports- debian/md5sums.src | awk '{ print $$2 }')
@@ -43,22 +41,21 @@
 #BACKPORTS64_DIR=kernel64/$(shell echo $(BACKPORTS_ARCHIVE) | sed -e 's/.tar.xz//')
 
 # cloop
-### integreate cloop in LMN
-#CLOOP_ARCHIVE=$(shell grep cloop_ debian/md5sums.src | awk '{ print $$2 }')
+### integrate cloop in LMN
+CLOOP_ARCHIVE=$(shell grep cloop_ debian/md5sums.src | awk '{ print $$2 }')
+CLOOP_VERSION=$(shell echo $(CLOOP_ARCHIVE) | awk -F_ '{ print $$2 }' | sed -e 's/.tar.xz//')
 #CLOOP_ARCHIVE=$(shell grep cloop- debian/md5sums.src | awk '{ print $$2 }')
-CLOOP_DIR=kernel/cloop
+#CLOOP_DIR=kernel/cloop
 #CLOOP_DIR=kernel/$(shell echo $(CLOOP_ARCHIVE) | sed -e 's/.tar.gz//')
-#CLOOP_DIR=kernel/cloop-$(shell echo $(CLOOP_ARCHIVE) | awk -F_ '{ print $$2 }' | sed -e 's/-2.tar.gz//')
-###CLOOP_URL=http://ftp.de.debian.org/debian/pool/main/c/cloop
-##CLOOP_URL=$(LML_URL)
-
+CLOOP_DIR=kernel/cloop-$(CLOOP_VERSION)
 # cloop non pae
 #CLOOPNP_DIR=kernel-np/$(shell echo $(CLOOP_ARCHIVE) | sed -e 's/.tar.gz//')
-CLOOPNP_DIR=kernel-np/cloop
-
+CLOOPNP_DIR=kernel-np/cloop-$(CLOOP_VERSION)
 # cloop64
 #CLOOP64_DIR=kernel64/cloop-$(shell echo $(CLOOP_ARCHIVE) | awk -F_ '{ print $$2 }' | sed -e 's/-2.tar.gz//')
-CLOOP64_DIR=kernel64/cloop
+CLOOP64_DIR=kernel64/cloop-$(CLOOP_VERSION)
+###CLOOP_URL=http://ftp.de.debian.org/debian/pool/main/c/cloop
+CLOOP_URL=$(LML_URL)
 
 # qt
 QT_ARCHIVE=$(shell grep qt- debian/md5sums.src | awk '{ print $$2 }')
@@ -68,6 +65,10 @@
 QT_URL=https://download.qt.io/archive/qt/4.8/$(QT_VERS)
 # qt64
 QT64_DIR=linbo_gui64/$(shell echo $(QT_ARCHIVE) | sed -e 's/.tar.gz//')
+
+# gui archives
+GUI32_ARCHIVE=linbo_gui32/linbo_gui32.tar.lz
+GUI64_ARCHIVE=linbo_gui64/linbo_gui64.tar.lz
 
 # busybox
 BB_ARCHIVE=$(shell grep busybox- debian/md5sums.src | awk '{ print $$2 }')
@@ -178,7 +179,7 @@
 		tar xf cache/$(BB_ARCHIVE) -C src64; \
 		echo "[1mPatching 64bit busybox sources...[0m" ; \
 		( cd $(BB64_DIR) && for i in ../../patches/busybox/*; do patch -p1 <$$i; done ); \
-		cp conf/busybox.conf $(BB64_DIR)/.config; \
+		cp conf/busybox64.conf $(BB64_DIR)/.config; \
 		ln -sf ../$(BB64_DIR) src64/busybox; \
 	fi
 
@@ -200,9 +201,3 @@
 		( cd src64 && unzip ../cache/$(CHNTPW_ARCHIVE) ); \
 		ln -sf ../$(CHNTPW64_DIR) src64/chntpw; \
 		echo "[1mPatching chntpw64 sources...[0m" ; \
-		( cd $(CHNTPW64_DIR) && for i in ../../patches/chntpw64/*; do patch -p1 <$$i; done ); \
-	fi
-	
-
-	# ms-sys
-	-@if [ ! -d $(MSSYS_DIR) ]; then \
