## linuxmuster-linbo 2.4.2-6

=== debian/changelog ===
linuxmuster-linbo (2.4.2-6) lmn7; urgency=low

  * added plymouth boot-bootsplash status messages.
  * fixed logfile error in linbo-remote for lmn62.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 04 Feb 2021 22:29:30 +0100
