=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # thomas@linuxmuster.net
-# 20201231
+# 20210206
 # GPL v3
 #
 
@@ -12,7 +12,7 @@
 LML_URL=https://download.linuxmuster.net/dev/linbo-build-cache
 
 # linbo version
-LVERS=$(shell head -n 1 debian/changelog | awk -F\( '{ print $$2 }' | awk -F\) '{ print $$1 }' | awk -F\- '{ print $$1 }')
+LVERS=$(shell head -n 1 debian/changelog | awk -F\( '{ print $$2 }' | awk -F\) '{ print $$1 }')
 LRELNAME=$(shell cat debian/releasename)
 
 # kernel
