## linuxmuster-linbo 2.4.2-8

=== debian/changelog ===
linuxmuster-linbo (2.4.2-8) lmn7; urgency=low

  * fix #174: linbo_cmd initcache_format has a wrong return code on failure.
  * fix #159: prestart script.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 23 Feb 2021 16:35:25 +0100
